HandleMetaClass (groovy 2.4.5 API)
Date: 2015-09-17

Package: org.codehaus.groovy.runtime

## [Java] Class HandleMetaClass

- org.codehaus.groovy.runtime.HandleMetaClass

- - ### Constructor Summary

    Constructors
    Constructor and description
    `HandleMetaClass (MetaClass mc)`
    `HandleMetaClass (MetaClass mc, Object obj)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addMetaBeanProperty(MetaBeanProperty metaBeanProperty)`
    `void` | `addMetaMethod(MetaMethod metaMethod)`
    `void` | `addNewInstanceMethod(Method method)`
    `void` | `addNewStaticMethod(Method method)`
    `boolean` | `equals(Object obj)`
    `Object` | `getProperty(String property)`
    `void` | `initialize()`
    `Object` | `invokeMethod(String name, Object args)`
    `GroovyObject` | `replaceDelegate()`
    `void` | `setProperty(String property, Object newValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DelegatingMetaClass` | `hasProperty, selectConstructorAndTransformArguments, respondsTo, respondsTo, invokeStaticMethod, getMetaClass, setMetaClass, pickMethod, getMetaProperty, getStaticMetaMethod, getStaticMetaMethod, getMetaMethod, getTheClass, invokeConstructor, getMetaMethods, invokeMissingProperty, getClassNode, invokeMissingMethod, addMetaBeanProperty, isModified, getAdaptee, setAdaptee, isGroovyObject, addNewInstanceMethod, addNewStaticMethod, addMetaMethod, setAttribute, setAttribute, setProperty, setProperty, setProperty, getProperty, getProperty, getProperty, equals, toString, hashCode, getMethods, getProperties, initialize, getAttribute, getAttribute, invokeMethod, invokeMethod, invokeMethod, invokeMethod, wait, wait, wait, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public HandleMetaClass(MetaClass mc)

    - #### public HandleMetaClass(MetaClass mc, Object obj)

  - ### Method Detail

    - #### public void addMetaBeanProperty(MetaBeanProperty metaBeanProperty)

    - #### public void addMetaMethod(MetaMethod metaMethod)

    - #### public void addNewInstanceMethod(Method method)

    - #### public void addNewStaticMethod(Method method)

    - #### public boolean equals(Object obj)

    - #### public Object getProperty(String property)

    - #### public void initialize()

    - #### public Object invokeMethod(String name, Object args)

    - #### public GroovyObject replaceDelegate()

    - #### public void setProperty(String property, Object newValue)